rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_ftsent Struct Reference

`#include <rpmio/fts.h>`

Collaboration diagram for _ftsent:
[legend]

## Data Fields
struct _ftsent * | fts_cycle
struct _ftsent * | fts_parent
struct _ftsent * | fts_link
long | fts_number
void * | fts_pointer
char * | fts_accpath
char * | fts_path
int | fts_errno
int | fts_symfd
u_short | fts_pathlen
u_short | fts_namelen
ino_t | fts_ino
dev_t | fts_dev
nlink_t | fts_nlink
short | fts_level
u_short | fts_info
u_short | fts_flags
u_short | fts_instr
struct stat * | fts_statp
char | fts_name [1]

## Detailed Description

Definition at line 102 of file fts.h.

## Field Documentation

char* _ftsent::fts_accpath

access path

Definition at line 113 of file fts.h.

Referenced by cacheStashLatest(), compare(), fts_build(), Fts_children(), fts_load(), Fts_open(), Fts_read(), fts_stat(), mtreeVisitF(), mtreeVWalk(), recurseDir(), and rpmcliWalkFirst().

struct _ftsent* _ftsent::fts_cycle

cycle node

Definition at line 104 of file fts.h.

Referenced by fts_stat().

dev_t _ftsent::fts_dev

device

Definition at line 122 of file fts.h.

Referenced by fts_load(), Fts_read(), fts_safe_changedir(), and fts_stat().

int _ftsent::fts_errno

errno for this node

Definition at line 116 of file fts.h.

Referenced by fts_alloc(), fts_build(), Fts_read(), fts_stat(), mtreeCWalk(), mtreeVWalk(), and rpmdcCWalk().

u_short _ftsent::fts_flags

private flags for FTSENT structure

Definition at line 147 of file fts.h.

Referenced by fts_alloc(), fts_build(), Fts_read(), and fts_stat().

u_short _ftsent::fts_info

user flags for FTSENT structure

Definition at line 143 of file fts.h.

Referenced by cacheWalkPathFilter(), fts_build(), Fts_children(), Fts_open(), Fts_read(), mtreeCWalk(), mtreeVisitF(), mtreeVWalk(), recurseDir(), repoGetFileList(), rpmcliWalkFirst(), rpmdcCWalk(), rpmfts_print(), rpmfts_step(), and rpmgiWalkPathFilter().

ino_t _ftsent::fts_ino

inode

Definition at line 121 of file fts.h.

Referenced by fts_safe_changedir(), and fts_stat().

u_short _ftsent::fts_instr

fts_set() instructions

Definition at line 153 of file fts.h.

Referenced by fts_alloc(), Fts_read(), and Fts_set().

short _ftsent::fts_level

depth (-1 to N)

Definition at line 127 of file fts.h.

Referenced by cacheStashLatest(), cacheWalkPathFilter(), fts_build(), Fts_children(), Fts_close(), Fts_open(), fts_padjust(), Fts_read(), fts_stat(), mtreeCWalk(), mtreeVisitF(), mtreeVWalk(), repoGetFileList(), rpmcliWalkFirst(), rpmdcCWalk(), rpmfts_print(), and rpmgiWalkPathFilter().

struct _ftsent* _ftsent::fts_link

next file in directory

Definition at line 108 of file fts.h.

Referenced by fts_build(), Fts_children(), Fts_close(), fts_lfree(), Fts_open(), fts_padjust(), Fts_read(), fts_sort(), and mtreeVisitD().

char _ftsent::fts_name[1]

file name

Definition at line 157 of file fts.h.

Referenced by cacheStashLatest(), cacheWalkPathFilter(), fts_alloc(), fts_build(), fts_load(), Fts_open(), Fts_read(), fts_stat(), mtreeCWalk(), mtreeVisitF(), mtreeVWalk(), repoGetFileList(), rpmdcCWalk(), rpmfts_print(), and rpmgiWalkPathFilter().

u_short _ftsent::fts_namelen

strlen(fts_name)

Definition at line 119 of file fts.h.

Referenced by cacheWalkPathFilter(), fts_alloc(), fts_build(), fts_load(), Fts_read(), mtreeVisitF(), mtreeVWalk(), repoGetFileList(), and rpmgiWalkPathFilter().

nlink_t _ftsent::fts_nlink

link count

Definition at line 123 of file fts.h.

Referenced by fts_build(), and fts_stat().

long _ftsent::fts_number

local numeric value

Definition at line 109 of file fts.h.

Referenced by fts_alloc().

struct _ftsent* _ftsent::fts_parent

parent directory

Definition at line 106 of file fts.h.

Referenced by cacheWalkPathFilter(), fts_build(), Fts_close(), Fts_open(), fts_padjust(), Fts_read(), and fts_stat().

char* _ftsent::fts_path

root path

Definition at line 115 of file fts.h.

Referenced by cacheStashLatest(), cacheWalkPathFilter(), fts_alloc(), fts_build(), fts_load(), mtreeCWalk(), mtreeVisitD(), mtreeVWalk(), repoGetFileList(), and rpmdcCWalk().

u_short _ftsent::fts_pathlen

strlen(fts_path)

Definition at line 118 of file fts.h.

Referenced by cacheWalkPathFilter(), fts_build(), fts_load(), and Fts_read().

void* _ftsent::fts_pointer

local address value

Definition at line 111 of file fts.h.

Referenced by fts_alloc().

struct stat* _ftsent::fts_statp

stat(2) information

Definition at line 156 of file fts.h.

Referenced by cacheStashLatest(), compare(), fts_alloc(), fts_stat(), mtreeVisitD(), mtreeVisitF(), mtreeVWalk(), recurseDir(), and rpmdcCWalk().

int _ftsent::fts_symfd

fd for symlink

Definition at line 117 of file fts.h.

Referenced by Fts_read().

The documentation for this struct was generated from the following file:

- rpmio/fts.h